Skip to content

Open Tasks REST API

Published: 2024-05-15

Last Updated: 2026-08-26

Return all active tasks in MDCMS for a specific project.

GET /open-tasks

JSON payloads

All MDCMS REST API response bodies use JSON.

Authorization

Header Type Required Description
Authorization string Yes Bearer token for the MDSEC user. See Authenticate requests to the MDCMS REST API server.

A missing or invalid token returns HTTP 401 Unauthorized.

Query parameters

Parameter Type Required Description
proj string Yes Project ID.

Example

Replace {endpoint} with the URL endpoint defined for the MDCMS HTTP server.

curl -H "Authorization: Bearer {token}" \
  "https://{endpoint}/open-tasks?proj=DEMO044"
GET /open-tasks?proj=DEMO044 HTTP/1.1
Host: {endpoint}
Authorization: Bearer {token}

Response body

Schema

Property Type Description
tasks array List of task objects.

Task object

Property Type Description
proj string Project ID.
task integer Task number.
type string Task type.
summary string Task summary.

Example

{
  "tasks": [
    {
      "proj": "DEMO044",
      "task": "1",
      "type": "ADMIN",
      "summary": "test"
    }
  ]
}
Resource Description
Task REST API Create, update, or retrieve a task or subtask
Open Subtasks REST API List active subtasks for a project and task
Open Projects REST API List active projects